Package org.eclipse.mat.snapshot.registry

# Class ThreadDetailResolverRegistry

java.lang.Object
org.eclipse.mat.util.RegistryReader<IThreadDetailsResolver>
org.eclipse.mat.snapshot.registry.ThreadDetailResolverRegistry

All Implemented Interfaces:
  `IExtensionChangeHandler`

public final class ThreadDetailResolverRegistry extends RegistryReader<IThreadDetailsResolver>

## Method Summary

Modifier and Type
Method
Description
`static ThreadDetailResolverRegistry`
`instance()`

### Methods inherited from class org.eclipse.mat.util.RegistryReader

`addExtension, delegates, removeExtension`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### instance

public static ThreadDetailResolverRegistry instance()